package com.atlassian.bitbucket.mesh.config;

import javax.annotation.Nonnull;
import java.util.Set;

import static java.util.Objects.requireNonNull;

/**
 * Event that is raised when one of more configuration properties were updated
 */
public class ConfigurationUpdatedEvent {

    private final Set<String> keys;

    public ConfigurationUpdatedEvent(@Nonnull Set<String> keys) {
        this.keys = requireNonNull(keys, "keys");
    }

    /**
     * @return the keys of the updated properties
     */
    @Nonnull
    public Set<String> getKeys() {
        return keys;
    }
}
